<?php
/**
 * By Matslom | matslom.pl | mateosl111@gmail.com 
 *
 * Website: http://www.matslom.pl
 * License: http://www.gnu.org/copyleft/gpl.html
 *
 * mod by Mystik
 */

if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

$plugins->add_hook("global_start", "unapproved_header");

function unapproved_info()
{
	return array(
		"name"			=> "Niezatwierdzone posty/wątki",
		"description"	=> "Informacja z niezatwierdzonymi wątkami/postami",
		"website"		=> "http://www.mybboard.pl",
		"author"		=> "Matslom",
		"authorsite"	=> "http://www.matslom.pl",
		"version"		=> "1.0",
		"guid" 			=> "",
		"compatibility" => "*"
	);
}

function unapproved_is_installed()
{
    global $db;
   
    return $db->num_rows($db->simple_select("settinggroups", "*", "name = \"unapproved\""));
}


function unapproved_install()
{
    global $db;

    $max_disporder = $db->fetch_field($db->simple_select("settinggroups", "MAX(disporder) AS max_disporder"), "max_disporder");
   
    $settinggroup = [
        "name"              => "unapproved",
        "title"             => $db->escape_string("Niezatwierdzone posty/wątki"),
        "description"       => $db->escape_string("Ustawienia dotyczące odmowy wsparcia."),
        "disporder"         => $max_disporder + 1,
        "isdefault"         => "0",
    ];
   
    $gid = $db->insert_query("settinggroups", $settinggroup);
   
    $settings = [];
   
    $settings[] = [
        "name"              => "unapproved_forums",
        "title"             => $db->escape_string("Uprawnienia forów"),
        "description"       => $db->escape_string("Jakie fora brać pod uwagę?"),
        "optionscode"       => "forumselect",
        "value"             => "-1",
        "disporder"         => "5",
        "gid"               => $gid,
        "isdefault"         => "0",
    ];

   
    $db->insert_query_multiple("settings", $settings);
    rebuild_settings();
}

function unapproved_uninstall()
{
    global $db;
   
    $db->delete_query("settinggroups", "name = \"unapproved\"");
    $db->delete_query("settings", "name LIKE \"unapproved%\"");
    rebuild_settings();
}

function unapproved_activate()
{
    include MYBB_ROOT."/inc/adminfunctions_templates.php";
   
    find_replace_templatesets("header", '#'.preg_quote('{$unreadreports}').'#', '{$unreadreports}
        {$unapproved}');
}
 
function unapproved_deactivate()
{
    include MYBB_ROOT."/inc/adminfunctions_templates.php";
   
    find_replace_templatesets('header', '#'.preg_quote('{$unapproved}').'#', '', 0);
}

function unapproved_header()
{
	global $unapproved, $db, $templates, $mybb;

	if (!is_moderator() || $mybb->settings['unapproved_forums'] == null) {
        return;
    }

    if ($mybb->settings['unapproved_forums'] == -1) {
    	$in_forums = "";
    } else {
    	$in_forums = " and fid in(". $mybb->settings['unapproved_forums'] .")";
    }

    $query_p = $db->query(
        "SELECT COUNT('pid') FROM ".TABLE_PREFIX."posts WHERE visible = 0" . $in_forums);
	$query_t = $db->query(
        "SELECT COUNT('pid') FROM ".TABLE_PREFIX."threads WHERE visible = 0" . $in_forums);

    $visible['posts'] = $query_p->fetch_row();
	$visible['threads'] = $query_t->fetch_row();
	$mcp_link = '<a href="'.$mybb->settings['bburl'].'/modcp.php?action=modqueue" class="modcp">';

	if ($visible['posts'][0] > 0 && $visible['threads'][0] > 0) {
		$awaiting_message = $mcp_link . 'Liczba postów do akceptacji: '.$visible['posts'][0] . ' 
		Liczba wątków do akceptacji: '.$visible['threads'][0] .'</a>';
		eval('$unapproved = "'.$templates->get('global_awaiting_activation').'";');
		
	} elseif ($visible['posts'][0] > 0) {
		$awaiting_message = $mcp_link .'Liczba postów do akceptacji: '.$visible['posts'][0].'</a>';
		eval('$unapproved = "'.$templates->get('global_awaiting_activation').'";');

	} elseif ($visible['threads'][0] > 0) {
		$awaiting_message = $mcp_link . 'Liczba wątków do akceptacji: '.$visible['threads'][0].'</a>';
		eval('$unapproved = "'.$templates->get('global_awaiting_activation').'";');

	} else {
        return;
    }
}
